layui.use([ 'element', 'table', 'laydate', 'form' ], function() {
	var $ = layui.jquery;
	var table = layui.table;
	var laydate = layui.laydate;
	var element = layui.element;
	var form = layui.form;

	// 生成表格
	table.render({
		elem 	: '#loginIpTable',
		url 	: '../../../getLoginIpList', 
		toolbar : '#toolbarDemo',
		title 	: '用户表',// 导出文件名
		id 		: 'loginIpTableAll',
		// 开启分页
		// page	: true,
		page 	: {
			layout : [ 'count', 'prev', 'page', 'next', 'skip', 'limit' ]
		},
		limits	: [10,30,50,80,100,999],
		where:{
			agreeIp:'',
			remark :''
		},
		cellMinWidth : 80, // 全局定义常规单元格的最小宽度，layui 2.2.1 新增
		cols : [ [
			{ 
				type: 'checkbox'
			},
			{
				type : 'numbers',
				title : '序号',
				width : 50
			},{
				field : 'agreeIp',
				align : 'center',
				width : 180,
				title : '授权IP'
			},{
				field : 'remark',
				align : 'center',
				width : 380,
				title : '说明'
			},{
				field : 'createBy',
				align : 'center',
				width : 230,
				title : '创建人',
				templet : function(d) {
					var text = "";
					if(d.createBy != null){
						text += d.createBy;
					}
					if(d.createDate != null){
						text += "&nbsp;" +  layui.util.toDateString(d.createDate, "yyyy-MM-dd HH:mm:ss");
					}
					return  text;
				}
			},{
				field : 'updateBy',
				align : 'center',
				width : 230,
				title : '更新人',
				templet : function(d) {
					var text = "";
					if(d.updateBy != null){
						text += d.updateBy;
					}
					if(d.updateTime != null){
						text += "&nbsp;" +  layui.util.toDateString(d.updateTime, "yyyy-MM-dd HH:mm:ss");
					}
					return  text;
				}
			}, {
				fixed : 'right',
				title : '操作',
				width : 200,
				align : 'center',
				toolbar : '#barDemo'
			} ] ],
			parseData : function(res) { //将原始数据解析成 table 组件所规定的数据
				return {
					"code" 	: 0, //解析接口状态
					"msg" 	: "", //解析提示文本
					"count"	: res.data.ipList.total,//解析数据长度
					"data" 	: res.data.ipList.list//解析数据列表
				};
			}
	});

	//点击查询按钮，重载表格
	$('#searchBtn').on('click', function() {
		table.reload('loginIpTableAll', {
			method : 'get',
			where : {
				agreeIp: $("#agreeIp").val(),
				remark : $("#remark").val()
			},
			page : {
				curr : 1
			}
		});
		activeDelFunction();
		return false;
	});
	
	//激活批量删除
	function activeDelFunction(){
		$('.demoTable .layui-btn').on('click', function(){
			var type = $(this).data('type');
			active[type] ? active[type].call(this) : '';
		});
	} 
	activeDelFunction();
	//执行批量删除
	var $ = layui.$,active = {
		getCheckData: function(){ //获取选中数据
			var checkStatus = table.checkStatus('loginIpTableAll'),
			checkData = checkStatus.data,
			ids="";
			if(checkData.length == 0){
				layer.msg("请选择要删除的数据",function(){});
				return;
			}
			for (var i = 0; i < checkData.length; i++) {
				ids+=checkData[i].id+",";
			}
			//var ids = JSON.stringify(delList);
			layer.confirm('确定要删除这['+checkData.length+'条]数据么？',{icon:5,title:'友情提示'}, function(index){
				$.ajax({
					url:"../../../deleteIps",
					dataType:'json',
					data:{
						ids:ids
					},
					type:'post',
					success:function(data){
						if (data.code == 200) {
							layer.msg('删除成功！',{icon:6,offset:"auto",time:2000});//提示框
						}else{
							layer.msg('删除失败！',{icon:5,offset:"auto",time:2000});//提示框
						}
						setTimeout(function(){
							location.reload();//重新加载页面表格
						}, 1000);
					}
				});
				return false; 
			});
		}    
	};

	// 监听头部工作栏的 新增
	table.on('toolbar(loginIpTable)', function(obj) {
		var checkStatus = table.checkStatus(obj.config.id);
		switch (obj.event) {
		case 'add':
			layer.open({
				type : 2,
				title : "添加IP",
				fix: false, //不固定
	    		maxmin: true,
				area : [ '45%', '70%' ],
				content : './addLoginIp.jsp',
			});
			break;
		};
	});
	// 监听 删除
	table.on('tool(loginIpTable)', function(obj) {
		var data1 = obj.data;
		if (obj.event === 'edit') {
			layer.open({
				type : 2,
				title : "修改ip",
				area : [ '45%', '70%' ],
				skin:'layui-layer-molv',
				content : './updateLoginIp.jsp',
				success : function(layero, index) {
					var body = layer.getChildFrame('body', index);
					var iframeWin = window[layero.find('iframe')[0]['name']]; // 得到iframe页的窗口对象
					body.find('#id').val(data1.id);
					body.find('#agreeIp').val(data1.agreeIp);
					body.find('#remark').val(data1.remark);
					layui.form.render();
				}
			});
		}else if(obj.event === 'del'){
	      	layer.confirm('确定要删除该数据么？',{icon:3,title:"提示"}, function(index){
	    	  	$.ajax({
	    			url:"../../../deleteIp",
	    		  	data:{'id': data1.id},
	    			type:"post",
	    			//dataType:"json",
	    		  	success:function (data) {
	    			 	if (data.code == 200) {
	    			 		layer.msg('删除成功！',{icon:6,offset:"auto",time:1000});//提示框
					  	}else{
						    layer.msg('删除失败！',{icon:5,offset:"auto",time:1000});//提示框
					  	}
	    			 	setTimeout(function(){
	    			 		location.reload();//重新加载页面
						}, 1100);
	    		 	}  
	    	 	});  
	            return false; 
	     	});
	    }
	})
});
